netCDF operators NCO version 3.1.7 are ready

The netCDF operators NCO version 3.1.7 are ready.

http://nco.sf.net (Homepage)
http://dust.ess.uci.edu/nco (Homepage "mirror")

This release marks the deprecation of ncap for ncap2.
ncap2 is backward-compatible with ncap, and provides much
more powerful functionality now and its features are improving.
We encourage migration to ncap2 starting now.
We will maintain ncap for the foreseeable future.

Building ncap2 requires the ANTLR library and headers which in turn
require Java. It is trivial to install ANTLR with Linux (i.e., apt-get
install antlr libantlr-dev) but non-trivial on big-iron UNIX if
sysadmins are not used to supporting Java or ANTLR.
If you want ncap2 on non-Linux machines, be nice to your sysadmins!

This release marks the return of pre-built, up-to-date, Debian
binary packages. Grab 'em from http://nco.sf.net#debian

Build/runtime changes:

1. Update netCDF4 support to alpha17

2. Die gracefully rather than segfault on mal-formed hyperslab strings

3. Document --hdr_pad options http://nco.sf.net/nco.html#hdr

4. ncap2 supports "double-parsing"

5. Update Debian support

Enjoy,
Charlie
--
Charlie Zender, surname@xxxxxxx, Department of Earth System Science
3228 Croul Hall, UC Irvine, Irvine CA 92697-3100. (949) 824-2987 :)

==============================================================================
To unsubscribe netcdfgroup, visit:
http://www.unidata.ucar.edu/mailing-list-delete-form.html
==============================================================================